XSetICValues(3X11)

NAME
XSetICValues, XGetICValues - set and obtain XIC values

SYNTAX
char * XSetICValues(ic, ...)
      XIC ic;

char * XGetICValues(ic, ...)
      XIC ic;

ARGUMENTS

ic  Specifies the input context.

... Specifies the variable length argument list to set or get XIC values.

DESCRIPTION
The function returns NULL if no error occurred; otherwise, it returns the name of the first argument that could not be set. An argument could be not set for any of the following reasons:

•   A read-only argument was set (for example,

•   The argument name is not recognized.

•   The input method encountered an input method implementation dependent error.

Each value to be set must be an appropriate datum, matching the data type imposed by the semantics of the argument.

The can generate and errors.

The function returns NULL if no error occurred; otherwise, it returns the name of the first argument that could not be obtained. An argument could be not obtained for any of the following reasons:

•   The argument name is not recognized.

•   The input method encountered an implementation dependent error.

Each argument value (following a name) must point to a location where the value is to be stored. allocates memory to store the values, and client is responsible for freeing each value by calling

DIAGNOSTICS

A value for an Atom argument does not name a defined Atom.

A value for a Colormap argument does not name a defined Colormap.

A value for a Cursor argument does not name a defined Cursor.

A value for a Pixmap argument does not name a defined Pixmap.

A value for a Window argument does not name a defined Window.

SEE ALSO
XCreateIC(3X11), XOpenIM(3X11), XSetICFocus(3X11), XmbResetIC(3X11)
Xlib - C Language X Interface